org.eclipse.actf.model.dom.html.errorhandler

## Class FramesetErrorHandler

- java.lang.Object
- - org.eclipse.actf.model.dom.html.errorhandler.UnknownElementErrorHandler
  - - org.eclipse.actf.model.dom.html.errorhandler.FramesetErrorHandler

All Implemented Interfaces:
  IErrorHandler, IParserError

    public class FramesetErrorHandler
    extends UnknownElementErrorHandler

If a parser using Strict or some DTD which does not define FRAMESET, this error handler make the parser use FRAMESET while parsing.

### Field Summary

### Fields inherited from interface org.eclipse.actf.model.dom.html.IParserError

`ATTR_VALUE, BEFORE_ATTRNAME, BOM, DOCTYPE_MISSED, FLOATING_ENDTAG, ILLEGAL_ATTRIBUTE, ILLEGAL_CHILD, ILLEGAL_DOCTYPE, ILLEGAL_TOP_ELEMENT, MISC_ERR, STARTTAG_SYNTAX_ERR, SUDDEN_ENDTAG, TAG_NAME, UNKNOWN_ELEMENT`

### Constructor Summary

Constructors
Constructor and Description
`FramesetErrorHandler()` Default constructor of the class

### Method Summary

### Methods inherited from class org.eclipse.actf.model.dom.html.errorhandler.UnknownElementErrorHandler

`handleError`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FramesetErrorHandler

    public FramesetErrorHandler()

Default constructor of the class